Bug 8309 - [UPDATE REQUEST] spectrum2
: [UPDATE REQUEST] spectrum2
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
https://github.com/SpectrumIM/spectru...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-01 10:29 MSD by Zombie Ryushu
Modified: 2017-10-13 12:28 MSD (History)
3 users (show)

See Also:
RPM Package: spectrum2
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2017-09-01 10:29:48 MSD
Spectrum 2 2.0.5 has been released fixing some functional bugs with some plugins. 


    Add support for Swiften 4.0rc2. Swiften 3.x and 2.x are still supported.
    Add support for passwordless libpurple backends (e.g. purple-hangouts).
    Partial support for groupchats with case-sensitive names (e.g. purple-telegram).
    Various small bugfixes, see Git commit descriptions for the full list of changes.


    fix purple-hangouts login
    fix Debian packages dependencies
Comment 1 Giovanni Mariani 2017-10-13 10:56:03 MSD
Published for Rosa 2016.1.
Comment 2 Zombie Ryushu 2017-10-13 11:02:50 MSD
Spectrum 2 is  more functional than before, but still throws error due to the aged ejabberd version.
Comment 3 Giovanni Mariani 2017-10-13 11:25:05 MSD
(In reply to comment #2)
> Spectrum 2 is  more functional than before, but still throws error due to
> the aged ejabberd version.

OK. But this is another update request: please open it so I will have track of it...
Comment 4 Zombie Ryushu 2017-10-13 11:26:34 MSD
It has been:

http://bugs.rosalinux.ru/show_bug.cgi?id=4581
Comment 5 Giovanni Mariani 2017-10-13 11:37:05 MSD
(In reply to comment #4)
> It has been:
> 
> http://bugs.rosalinux.ru/show_bug.cgi?id=4581
I don't have the rights to view it, sorry...

BTW, according to the mib-report output ejabberd is not present at all in Rosa 2016.1; and the ABF web-interface don't even let me to build it for a Rosa 2016.1 repo (but only for import_personal/main or rosa2014.1/contrib.
Perhaps it is a problem with my building rights or it could be a some more serious thing...

Anyway, I fear that there is nothing I can do here: you will have to escalate the issue to some of the Rosa guys...
Andrey? Denis?
Comment 6 Zombie Ryushu 2017-10-13 11:49:56 MSD
Ongoing thing. ejabberd is complicated to build. The reason that spectrum2 has the issues it does is because of the age of ejabberd resulting in less than full support for some of the XEP standards required by spectrum2.
Comment 7 Andrey Bondrov 2017-10-13 12:04:39 MSD
(In reply to comment #6)
> Ongoing thing. ejabberd is complicated to build. The reason that spectrum2
> has the issues it does is because of the age of ejabberd resulting in less
> than full support for some of the XEP standards required by spectrum2.

We need to add some erlang macros to RPM first. Do you remember the bug where I asked Denis to take a look?
Comment 8 Zombie Ryushu 2017-10-13 12:28:14 MSD
I know that there was a bug to that effect, but it wasn't one of mine. I was just trying to add him to the ejabberd bug to get him in the  loop as to what has happened so far.